# year-from-date

Extracts the year component of a date value

year-from-date($arg as xs:date?) → xs:integer?

Arguments
| $arg | xs:date? | The input date value
Result | xs:integer?

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The function is fully implemented according to the W3C specifications.

Next